### Hierarchy

- unknown
  - TradingPeer

## Index

### Constructors

- constructor

### Methods

- addRawTransactionInputs
- addReserveTxKeyImages
- clearNodeAddress
- clearPaymentAccountPayload
- clearPaymentSentMessage
- clearPubKeyRing
- clearRawTransactionInputsList
- clearReserveTxKeyImagesList
- getAccountAgeWitnessNonce
- getAccountAgeWitnessNonce_asB64
- getAccountAgeWitnessNonce_asU8
- getAccountAgeWitnessSignature
- getAccountAgeWitnessSignature_asB64
- getAccountAgeWitnessSignature_asU8
- getAccountId
- getChangeOutputAddress
- getChangeOutputValue
- getContractAsJson
- getContractSignature
- getCurrentDate
- getDepositTxHash
- getDepositTxHex
- getDepositTxKey
- getEncryptedPaymentAccountPayload
- getEncryptedPaymentAccountPayload_asB64
- getEncryptedPaymentAccountPayload_asU8
- getExchangedMultisigHex
- getMadeMultisigHex
- getMediatedPayoutTxSignature
- getMediatedPayoutTxSignature_asB64
- getMediatedPayoutTxSignature_asU8
- getMultiSigPubKey
- getMultiSigPubKey_asB64
- getMultiSigPubKey_asU8
- getNodeAddress
- getPaymentAccountId
- getPaymentAccountKey
- getPaymentAccountKey_asB64
- getPaymentAccountKey_asU8
- getPaymentAccountPayload
- getPaymentAccountPayloadHash
- getPaymentAccountPayloadHash_asB64
- getPaymentAccountPayloadHash_asU8
- getPaymentMethodId
- getPaymentSentMessage
- getPayoutAddressString
- getPreparedMultisigHex
- getPubKeyRing
- getRawTransactionInputsList
- getReserveTxHash
- getReserveTxHex
- getReserveTxKey
- getReserveTxKeyImagesList
- getSignature
- getSignature_asB64
- getSignature_asU8
- getUpdatedMultisigHex
- hasNodeAddress
- hasPaymentAccountPayload
- hasPaymentSentMessage
- hasPubKeyRing
- serializeBinary
- setAccountAgeWitnessNonce
- setAccountAgeWitnessSignature
- setAccountId
- setChangeOutputAddress
- setChangeOutputValue
- setContractAsJson
- setContractSignature
- setCurrentDate
- setDepositTxHash
- setDepositTxHex
- setDepositTxKey
- setEncryptedPaymentAccountPayload
- setExchangedMultisigHex
- setMadeMultisigHex
- setMediatedPayoutTxSignature
- setMultiSigPubKey
- setNodeAddress
- setPaymentAccountId
- setPaymentAccountKey
- setPaymentAccountPayload
- setPaymentAccountPayloadHash
- setPaymentMethodId
- setPaymentSentMessage
- setPayoutAddressString
- setPreparedMultisigHex
- setPubKeyRing
- setRawTransactionInputsList
- setReserveTxHash
- setReserveTxHex
- setReserveTxKey
- setReserveTxKeyImagesList
- setSignature
- setUpdatedMultisigHex
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new TradingPeer(): TradingPeer

- Inherited from jspb.Message.constructor

  #### Returns TradingPeer

## Methods

### addRawTransactionInputs

- addRawTransactionInputs(value?: RawTransactionInput, index?: number): RawTransactionInput

- - Defined in src/protobuf/pb_pb.d.ts:7161

  #### Parameters

  - ##### Optional value: RawTransactionInput

  - ##### Optional index: number

  #### Returns RawTransactionInput

### addReserveTxKeyImages

- addReserveTxKeyImages(value: string, index?: number): TradingPeer

- - Defined in src/protobuf/pb_pb.d.ts:7199

  #### Parameters

  - ##### value: string

  - ##### Optional index: number

  #### Returns TradingPeer

### clearNodeAddress

- clearNodeAddress(): TradingPeer

- - Defined in src/protobuf/pb_pb.d.ts:7103

  #### Returns TradingPeer

### clearPaymentAccountPayload

- clearPaymentAccountPayload(): TradingPeer

- - Defined in src/protobuf/pb_pb.d.ts:7137

  #### Returns TradingPeer

### clearPaymentSentMessage

- clearPaymentSentMessage(): TradingPeer

- - Defined in src/protobuf/pb_pb.d.ts:7225

  #### Returns TradingPeer

### clearPubKeyRing

- clearPubKeyRing(): TradingPeer

- - Defined in src/protobuf/pb_pb.d.ts:7108

  #### Returns TradingPeer

### clearRawTransactionInputsList

- clearRawTransactionInputsList(): TradingPeer

- - Defined in src/protobuf/pb_pb.d.ts:7160

  #### Returns TradingPeer

### clearReserveTxKeyImagesList

- clearReserveTxKeyImagesList(): TradingPeer

- - Defined in src/protobuf/pb_pb.d.ts:7198

  #### Returns TradingPeer

### getAccountAgeWitnessNonce

- getAccountAgeWitnessNonce(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:7169

  #### Returns string | Uint8Array

### getAccountAgeWitnessNonce_asB64

- getAccountAgeWitnessNonce_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:7171

  #### Returns string

### getAccountAgeWitnessNonce_asU8

- getAccountAgeWitnessNonce_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:7170

  #### Returns Uint8Array

### getAccountAgeWitnessSignature

- getAccountAgeWitnessSignature(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:7174

  #### Returns string | Uint8Array

### getAccountAgeWitnessSignature_asB64

- getAccountAgeWitnessSignature_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:7176

  #### Returns string

### getAccountAgeWitnessSignature_asU8

- getAccountAgeWitnessSignature_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:7175

  #### Returns Uint8Array

### getAccountId

- getAccountId(): string

- - Defined in src/protobuf/pb_pb.d.ts:7110

  #### Returns string

### getChangeOutputAddress

- getChangeOutputAddress(): string

- - Defined in src/protobuf/pb_pb.d.ts:7166

  #### Returns string

### getChangeOutputValue

- getChangeOutputValue(): number

- - Defined in src/protobuf/pb_pb.d.ts:7163

  #### Returns number

### getContractAsJson

- getContractAsJson(): string

- - Defined in src/protobuf/pb_pb.d.ts:7142

  #### Returns string

### getContractSignature

- getContractSignature(): string

- - Defined in src/protobuf/pb_pb.d.ts:7145

  #### Returns string

### getCurrentDate

- getCurrentDate(): number

- - Defined in src/protobuf/pb_pb.d.ts:7179

  #### Returns number

### getDepositTxHash

- getDepositTxHash(): string

- - Defined in src/protobuf/pb_pb.d.ts:7210

  #### Returns string

### getDepositTxHex

- getDepositTxHex(): string

- - Defined in src/protobuf/pb_pb.d.ts:7213

  #### Returns string

### getDepositTxKey

- getDepositTxKey(): string

- - Defined in src/protobuf/pb_pb.d.ts:7216

  #### Returns string

### getEncryptedPaymentAccountPayload

- getEncryptedPaymentAccountPayload(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:7124

  #### Returns string | Uint8Array

### getEncryptedPaymentAccountPayload_asB64

- getEncryptedPaymentAccountPayload_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:7126

  #### Returns string

### getEncryptedPaymentAccountPayload_asU8

- getEncryptedPaymentAccountPayload_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:7125

  #### Returns Uint8Array

### getExchangedMultisigHex

- getExchangedMultisigHex(): string

- - Defined in src/protobuf/pb_pb.d.ts:7207

  #### Returns string

### getMadeMultisigHex

- getMadeMultisigHex(): string

- - Defined in src/protobuf/pb_pb.d.ts:7204

  #### Returns string

### getMediatedPayoutTxSignature

- getMediatedPayoutTxSignature(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:7182

  #### Returns string | Uint8Array

### getMediatedPayoutTxSignature_asB64

- getMediatedPayoutTxSignature_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:7184

  #### Returns string

### getMediatedPayoutTxSignature_asU8

- getMediatedPayoutTxSignature_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:7183

  #### Returns Uint8Array

### getMultiSigPubKey

- getMultiSigPubKey(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:7153

  #### Returns string | Uint8Array

### getMultiSigPubKey_asB64

- getMultiSigPubKey_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:7155

  #### Returns string

### getMultiSigPubKey_asU8

- getMultiSigPubKey_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:7154

  #### Returns Uint8Array

### getNodeAddress

- getNodeAddress(): undefined | NodeAddress

- - Defined in src/protobuf/pb_pb.d.ts:7100

  #### Returns undefined | NodeAddress

### getPaymentAccountId

- getPaymentAccountId(): string

- - Defined in src/protobuf/pb_pb.d.ts:7113

  #### Returns string

### getPaymentAccountKey

- getPaymentAccountKey(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:7129

  #### Returns string | Uint8Array

### getPaymentAccountKey_asB64

- getPaymentAccountKey_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:7131

  #### Returns string

### getPaymentAccountKey_asU8

- getPaymentAccountKey_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:7130

  #### Returns Uint8Array

### getPaymentAccountPayload

- getPaymentAccountPayload(): undefined | PaymentAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:7134

  #### Returns undefined | PaymentAccountPayload

### getPaymentAccountPayloadHash

- getPaymentAccountPayloadHash(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:7119

  #### Returns string | Uint8Array

### getPaymentAccountPayloadHash_asB64

- getPaymentAccountPayloadHash_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:7121

  #### Returns string

### getPaymentAccountPayloadHash_asU8

- getPaymentAccountPayloadHash_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:7120

  #### Returns Uint8Array

### getPaymentMethodId

- getPaymentMethodId(): string

- - Defined in src/protobuf/pb_pb.d.ts:7116

  #### Returns string

### getPaymentSentMessage

- getPaymentSentMessage(): undefined | PaymentSentMessage

- - Defined in src/protobuf/pb_pb.d.ts:7222

  #### Returns undefined | PaymentSentMessage

### getPayoutAddressString

- getPayoutAddressString(): string

- - Defined in src/protobuf/pb_pb.d.ts:7139

  #### Returns string

### getPreparedMultisigHex

- getPreparedMultisigHex(): string

- - Defined in src/protobuf/pb_pb.d.ts:7201

  #### Returns string

### getPubKeyRing

- getPubKeyRing(): undefined | PubKeyRing

- - Defined in src/protobuf/pb_pb.d.ts:7105

  #### Returns undefined | PubKeyRing

### getRawTransactionInputsList

- getRawTransactionInputsList(): RawTransactionInput []

- - Defined in src/protobuf/pb_pb.d.ts:7158

  #### Returns RawTransactionInput []

### getReserveTxHash

- getReserveTxHash(): string

- - Defined in src/protobuf/pb_pb.d.ts:7187

  #### Returns string

### getReserveTxHex

- getReserveTxHex(): string

- - Defined in src/protobuf/pb_pb.d.ts:7190

  #### Returns string

### getReserveTxKey

- getReserveTxKey(): string

- - Defined in src/protobuf/pb_pb.d.ts:7193

  #### Returns string

### getReserveTxKeyImagesList

- getReserveTxKeyImagesList(): string[]

- - Defined in src/protobuf/pb_pb.d.ts:7196

  #### Returns string[]

### getSignature

- getSignature(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:7148

  #### Returns string | Uint8Array

### getSignature_asB64

- getSignature_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:7150

  #### Returns string

### getSignature_asU8

- getSignature_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:7149

  #### Returns Uint8Array

### getUpdatedMultisigHex

- getUpdatedMultisigHex(): string

- - Defined in src/protobuf/pb_pb.d.ts:7219

  #### Returns string

### hasNodeAddress

- hasNodeAddress(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:7102

  #### Returns boolean

### hasPaymentAccountPayload

- hasPaymentAccountPayload(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:7136

  #### Returns boolean

### hasPaymentSentMessage

- hasPaymentSentMessage(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:7224

  #### Returns boolean

### hasPubKeyRing

- hasPubKeyRing(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:7107

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:7227

  #### Returns Uint8Array

### setAccountAgeWitnessNonce

- setAccountAgeWitnessNonce(value: string | Uint8Array): TradingPeer

- - Defined in src/protobuf/pb_pb.d.ts:7172

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns TradingPeer

### setAccountAgeWitnessSignature

- setAccountAgeWitnessSignature(value: string | Uint8Array): TradingPeer

- - Defined in src/protobuf/pb_pb.d.ts:7177

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns TradingPeer

### setAccountId

- setAccountId(value: string): TradingPeer

- - Defined in src/protobuf/pb_pb.d.ts:7111

  #### Parameters

  - ##### value: string

  #### Returns TradingPeer

### setChangeOutputAddress

- setChangeOutputAddress(value: string): TradingPeer

- - Defined in src/protobuf/pb_pb.d.ts:7167

  #### Parameters

  - ##### value: string

  #### Returns TradingPeer

### setChangeOutputValue

- setChangeOutputValue(value: number): TradingPeer

- - Defined in src/protobuf/pb_pb.d.ts:7164

  #### Parameters

  - ##### value: number

  #### Returns TradingPeer

### setContractAsJson

- setContractAsJson(value: string): TradingPeer

- - Defined in src/protobuf/pb_pb.d.ts:7143

  #### Parameters

  - ##### value: string

  #### Returns TradingPeer

### setContractSignature

- setContractSignature(value: string): TradingPeer

- - Defined in src/protobuf/pb_pb.d.ts:7146

  #### Parameters

  - ##### value: string

  #### Returns TradingPeer

### setCurrentDate

- setCurrentDate(value: number): TradingPeer

- - Defined in src/protobuf/pb_pb.d.ts:7180

  #### Parameters

  - ##### value: number

  #### Returns TradingPeer

### setDepositTxHash

- setDepositTxHash(value: string): TradingPeer

- - Defined in src/protobuf/pb_pb.d.ts:7211

  #### Parameters

  - ##### value: string

  #### Returns TradingPeer

### setDepositTxHex

- setDepositTxHex(value: string): TradingPeer

- - Defined in src/protobuf/pb_pb.d.ts:7214

  #### Parameters

  - ##### value: string

  #### Returns TradingPeer

### setDepositTxKey

- setDepositTxKey(value: string): TradingPeer

- - Defined in src/protobuf/pb_pb.d.ts:7217

  #### Parameters

  - ##### value: string

  #### Returns TradingPeer

### setEncryptedPaymentAccountPayload

- setEncryptedPaymentAccountPayload(value: string | Uint8Array): TradingPeer

- - Defined in src/protobuf/pb_pb.d.ts:7127

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns TradingPeer

### setExchangedMultisigHex

- setExchangedMultisigHex(value: string): TradingPeer

- - Defined in src/protobuf/pb_pb.d.ts:7208

  #### Parameters

  - ##### value: string

  #### Returns TradingPeer

### setMadeMultisigHex

- setMadeMultisigHex(value: string): TradingPeer

- - Defined in src/protobuf/pb_pb.d.ts:7205

  #### Parameters

  - ##### value: string

  #### Returns TradingPeer

### setMediatedPayoutTxSignature

- setMediatedPayoutTxSignature(value: string | Uint8Array): TradingPeer

- - Defined in src/protobuf/pb_pb.d.ts:7185

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns TradingPeer

### setMultiSigPubKey

- setMultiSigPubKey(value: string | Uint8Array): TradingPeer

- - Defined in src/protobuf/pb_pb.d.ts:7156

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns TradingPeer

### setNodeAddress

- setNodeAddress(value?: NodeAddress ): TradingPeer

- - Defined in src/protobuf/pb_pb.d.ts:7101

  #### Parameters

  - ##### Optional value: NodeAddress

  #### Returns TradingPeer

### setPaymentAccountId

- setPaymentAccountId(value: string): TradingPeer

- - Defined in src/protobuf/pb_pb.d.ts:7114

  #### Parameters

  - ##### value: string

  #### Returns TradingPeer

### setPaymentAccountKey

- setPaymentAccountKey(value: string | Uint8Array): TradingPeer

- - Defined in src/protobuf/pb_pb.d.ts:7132

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns TradingPeer

### setPaymentAccountPayload

- setPaymentAccountPayload(value?: PaymentAccountPayload ): TradingPeer

- - Defined in src/protobuf/pb_pb.d.ts:7135

  #### Parameters

  - ##### Optional value: PaymentAccountPayload

  #### Returns TradingPeer

### setPaymentAccountPayloadHash

- setPaymentAccountPayloadHash(value: string | Uint8Array): TradingPeer

- - Defined in src/protobuf/pb_pb.d.ts:7122

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns TradingPeer

### setPaymentMethodId

- setPaymentMethodId(value: string): TradingPeer

- - Defined in src/protobuf/pb_pb.d.ts:7117

  #### Parameters

  - ##### value: string

  #### Returns TradingPeer

### setPaymentSentMessage

- setPaymentSentMessage(value?: PaymentSentMessage ): TradingPeer

- - Defined in src/protobuf/pb_pb.d.ts:7223

  #### Parameters

  - ##### Optional value: PaymentSentMessage

  #### Returns TradingPeer

### setPayoutAddressString

- setPayoutAddressString(value: string): TradingPeer

- - Defined in src/protobuf/pb_pb.d.ts:7140

  #### Parameters

  - ##### value: string

  #### Returns TradingPeer

### setPreparedMultisigHex

- setPreparedMultisigHex(value: string): TradingPeer

- - Defined in src/protobuf/pb_pb.d.ts:7202

  #### Parameters

  - ##### value: string

  #### Returns TradingPeer

### setPubKeyRing

- setPubKeyRing(value?: PubKeyRing ): TradingPeer

- - Defined in src/protobuf/pb_pb.d.ts:7106

  #### Parameters

  - ##### Optional value: PubKeyRing

  #### Returns TradingPeer

### setRawTransactionInputsList

- setRawTransactionInputsList(value: RawTransactionInput []): TradingPeer

- - Defined in src/protobuf/pb_pb.d.ts:7159

  #### Parameters

  - ##### value: RawTransactionInput []

  #### Returns TradingPeer

### setReserveTxHash

- setReserveTxHash(value: string): TradingPeer

- - Defined in src/protobuf/pb_pb.d.ts:7188

  #### Parameters

  - ##### value: string

  #### Returns TradingPeer

### setReserveTxHex

- setReserveTxHex(value: string): TradingPeer

- - Defined in src/protobuf/pb_pb.d.ts:7191

  #### Parameters

  - ##### value: string

  #### Returns TradingPeer

### setReserveTxKey

- setReserveTxKey(value: string): TradingPeer

- - Defined in src/protobuf/pb_pb.d.ts:7194

  #### Parameters

  - ##### value: string

  #### Returns TradingPeer

### setReserveTxKeyImagesList

- setReserveTxKeyImagesList(value: string[]): TradingPeer

- - Defined in src/protobuf/pb_pb.d.ts:7197

  #### Parameters

  - ##### value: string[]

  #### Returns TradingPeer

### setSignature

- setSignature(value: string | Uint8Array): TradingPeer

- - Defined in src/protobuf/pb_pb.d.ts:7151

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns TradingPeer

### setUpdatedMultisigHex

- setUpdatedMultisigHex(value: string): TradingPeer

- - Defined in src/protobuf/pb_pb.d.ts:7220

  #### Parameters

  - ##### value: string

  #### Returns TradingPeer

### toObject

- toObject(includeInstance?: boolean): TradingPeer . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:7228

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns TradingPeer . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): TradingPeer

- - Defined in src/protobuf/pb_pb.d.ts:7231

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns TradingPeer

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: TradingPeer, reader: BinaryReader): TradingPeer

- - Defined in src/protobuf/pb_pb.d.ts:7232

  #### Parameters

  - ##### message: TradingPeer

  - ##### reader: BinaryReader

  #### Returns TradingPeer

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: TradingPeer, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:7230

  #### Parameters

  - ##### message: TradingPeer

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: TradingPeer ): TradingPeer . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:7229

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: TradingPeer

  #### Returns TradingPeer . AsObject

Generated using TypeDoc